## org.eclipse.datatools.modelbase.dbdefinition
Interface FieldQualifierDefinition

All Known Implementing Classes:
  FieldQualifierDefinitionImpl

    public interface FieldQualifierDefinition

A representation of the model object 'Field Qualifier Definition'.

The following features are supported:

- `Valid Trailing Field Qualifier Definitions`
- `Name`
- `Maximum Precision`
- `Default Precision`
- `Precision Supported`
- `Maximum Scale`
- `Default Scale`
- `Scale Supported`

See Also:
  `DatabaseDefinitionPackage.getFieldQualifierDefinition()`

Method Summary
`int` `getDefaultPrecision()` Returns the value of the 'Default Precision' attribute.
`int` `getDefaultScale()` Returns the value of the 'Default Scale' attribute.
`int` `getMaximumPrecision()` Returns the value of the 'Maximum Precision' attribute.
`int` `getMaximumScale()` Returns the value of the 'Maximum Scale' attribute.
`IntervalQualifierType` `getName()` Returns the value of the 'Name' attribute.
`EList` `getValidTrailingFieldQualifierDefinitions()` Returns the value of the 'Valid Trailing Field Qualifier Definitions' reference list.
`boolean` `isPrecisionSupported()` Returns the value of the 'Precision Supported' attribute.
`boolean` `isScaleSupported()` Returns the value of the 'Scale Supported' attribute.
`void` `setDefaultPrecision(int value)` Sets the value of the '`Default Precision`' attribute.
`void` `setDefaultScale(int value)` Sets the value of the '`Default Scale`' attribute.
`void` `setMaximumPrecision(int value)` Sets the value of the '`Maximum Precision`' attribute.
`void` `setMaximumScale(int value)` Sets the value of the '`Maximum Scale`' attribute.
`void` `setName(IntervalQualifierType value)` Sets the value of the '`Name`' attribute.
`void` `setPrecisionSupported(boolean value)` Sets the value of the '`Precision Supported`' attribute.
`void` `setScaleSupported(boolean value)` Sets the value of the '`Scale Supported`' attribute.

Method Detail

### getValidTrailingFieldQualifierDefinitions

    EList getValidTrailingFieldQualifierDefinitions()

  Returns the value of the 'Valid Trailing Field Qualifier Definitions' reference list. The list contents are of type `FieldQualifierDefinition`.

  If the meaning of the 'Valid Trailing Field Qualifier Definitions' reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Valid Trailing Field Qualifier Definitions' reference list.
  See Also:
    `DatabaseDefinitionPackage.getFieldQualifierDefinition_ValidTrailingFieldQualifierDefinitions()`

### getName

    IntervalQualifierType getName()

  Returns the value of the 'Name' attribute. The literals are from the enumeration `IntervalQualifierType`.

  If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Name' attribute.
  See Also:
    `IntervalQualifierType`, `setName(IntervalQualifierType)`, `DatabaseDefinitionPackage.getFieldQualifierDefinition_Name()`

### setName

    void setName(IntervalQualifierType value)

  Sets the value of the '`Name`' attribute.

  Parameters:
    `value` - the new value of the 'Name' attribute.
  See Also:
    `IntervalQualifierType`, `getName()`

### getMaximumPrecision

    int getMaximumPrecision()

  Returns the value of the 'Maximum Precision' attribute.

  If the meaning of the 'Maximum Precision' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Maximum Precision' attribute.
  See Also:
    `setMaximumPrecision(int)`, `DatabaseDefinitionPackage.getFieldQualifierDefinition_MaximumPrecision()`

### setMaximumPrecision

    void setMaximumPrecision(int value)

  Sets the value of the '`Maximum Precision`' attribute.

  Parameters:
    `value` - the new value of the 'Maximum Precision' attribute.
  See Also:
    `getMaximumPrecision()`

### getDefaultPrecision

    int getDefaultPrecision()

  Returns the value of the 'Default Precision' attribute.

  If the meaning of the 'Default Precision' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Default Precision' attribute.
  See Also:
    `setDefaultPrecision(int)`, `DatabaseDefinitionPackage.getFieldQualifierDefinition_DefaultPrecision()`

### setDefaultPrecision

    void setDefaultPrecision(int value)

  Sets the value of the '`Default Precision`' attribute.

  Parameters:
    `value` - the new value of the 'Default Precision' attribute.
  See Also:
    `getDefaultPrecision()`

### isPrecisionSupported

    boolean isPrecisionSupported()

  Returns the value of the 'Precision Supported' attribute.

  If the meaning of the 'Precision Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Precision Supported' attribute.
  See Also:
    `setPrecisionSupported(boolean)`, `DatabaseDefinitionPackage.getFieldQualifierDefinition_PrecisionSupported()`

### setPrecisionSupported

    void setPrecisionSupported(boolean value)

  Sets the value of the '`Precision Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Precision Supported' attribute.
  See Also:
    `isPrecisionSupported()`

### getMaximumScale

    int getMaximumScale()

  Returns the value of the 'Maximum Scale' attribute.

  If the meaning of the 'Maximum Scale' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Maximum Scale' attribute.
  See Also:
    `setMaximumScale(int)`, `DatabaseDefinitionPackage.getFieldQualifierDefinition_MaximumScale()`

### setMaximumScale

    void setMaximumScale(int value)

  Sets the value of the '`Maximum Scale`' attribute.

  Parameters:
    `value` - the new value of the 'Maximum Scale' attribute.
  See Also:
    `getMaximumScale()`

### getDefaultScale

    int getDefaultScale()

  Returns the value of the 'Default Scale' attribute.

  If the meaning of the 'Default Scale' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Default Scale' attribute.
  See Also:
    `setDefaultScale(int)`, `DatabaseDefinitionPackage.getFieldQualifierDefinition_DefaultScale()`

### setDefaultScale

    void setDefaultScale(int value)

  Sets the value of the '`Default Scale`' attribute.

  Parameters:
    `value` - the new value of the 'Default Scale' attribute.
  See Also:
    `getDefaultScale()`

### isScaleSupported

    boolean isScaleSupported()

  Returns the value of the 'Scale Supported' attribute.

  If the meaning of the 'Scale Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Scale Supported' attribute.
  See Also:
    `setScaleSupported(boolean)`, `DatabaseDefinitionPackage.getFieldQualifierDefinition_ScaleSupported()`

### setScaleSupported

    void setScaleSupported(boolean value)

  Sets the value of the '`Scale Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Scale Supported' attribute.
  See Also:
    `isScaleSupported()`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.